2024-11-13 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.25.0

2024-10-03 Thomas Orgis <sobukus@sourcemage.org>
	* DETAILS: switched to hash because of expired key,
	  did check signature with newly received key before that,
	  that key also expiring soon

2024-03-11 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.24.5

2023-05-31 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: add gpg checking
	* DETAILS: version 1.21.4

2022-11-30 Remko van der Vossen <wich@sourcemage.org>
	* CONFIGURE, DEPENDS, SUB_DEPENDS: use {optional_,}depends_one_of
	  for SSL library selection

2022-03-19 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: updated spell to 1.21.3

2021-09-08 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.21.2

2021-01-16 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 1.21.1

2021-01-01 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.21

2020-02-26 Thomas Orgis <sobukus@sourcemage.org>
	* DETAILS: remove GPG signature usage, hash more stable

2019-10-10 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: use GETTEXT

2019-05-30 Ismael Luceno <ismael@sourcemage.org>
	* DEPENDS: Added missing dependencies on libpsl, zlib & util-linux

2019-04-05 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.20.3
	  SECURITY_PATCH++

2019-04-01 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.20.2, gpg checking is back

2019-01-19  Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: delete gnupg

2018-12-27 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.20.1

2018-11-30 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.20, gpg -> UPSTREAM_HASH
	* DEPENDS: added pcre2, optionally
	* PRE_BUILD, cares.patch, wget.gpg: removed

2018-05-12 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: added c-ares optional dependency
	* PRE_BUILD: added, to apply patch
	* cares.patch: added, upstream patch to fix build with c-ares

2018-05-07 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.19.5, SECURITY_PATCH++, (CVE-2018-0494)
	* wget.gpg: replaced old key with A2670428,
	  Tim Rühsen <tim.ruehsen@gmx.de>

2018-01-22 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.19.4

2018-01-19 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.19.3
	* wget.gpg: replaced old key with E8C70AF9,
	  Darshit Shah <darnir@gmail.com>

2017-10-27 Thomas Orgis <sobukus@sourcemage.org>
	* DETAILS: version 1.19.2, ++SECURITY_PATCH,
	  switch back to .gz, .lz too fancy, .xz gone
	
2017-02-12 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.19.1

2017-02-04 Pavel Vinogradov <public@sourcemage.org>
	* wget.gpg: refreshed the key, old one caused gpg to fail

2017-02-03 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 1.19
	* wget.gpg: replaced old key with A2670428,
	  Tim Rühsen <tim.ruehsen@gmx.de>

2016-06-10 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: updated spell to 1.18, SECURITY_PATCH++, (CVE-2016-4971)

2016-05-03 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.17.1

2015-11-15 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: updated spell to 1.17

2015-07-18 Florian Franzmann <bwlf@bandrate.org>
	* PROVIDES: provide DOWNLOADER

2015-03-09 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.16.3 -- regression update; don't do
	  useless doc-ing
	* DEPENDS: cleaned up
	* SUB_DEPENDS: do not remove persistent var
	* TRIGGERS: corrected to use SSL provider

2015-03-08 Ismael Luceno <ismael@sourcemage.org>
	* BUILD: Fixed linking issues

2015-03-01 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.16.2

2015-01-05 Ismael Luceno <ismael@sourcemage.org>
	* DEPENDS: Made pcre optional

2014-12-11 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.16.1

2014-12-03 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Optionally depends on nettle for NTLM authentication

2014-10-31 Vlad Glagolev <stealth@sourcemage.org>
	* REPAIR^all^PRE_SUB_DEPENDS: more properly migrate from openssl to SSL
	  provider

2014-10-27 Pol Vinogradov <vin.public@gmail.com>
	* DETAILS: version 1.16, SECURITY_PATCH++
	  (CVE-2014-4877, http://www.openwall.com/lists/oss-security/2014/10/27/3)

2014-09-26 Remko van der Vossen <wich@sourcemage.org>
	* CONFIGURE: properly migrate from openssl to SSL provider

2014-09-25 Remko van der Vossen <wich@sourcemage.org>
	* DEPENDS: pcre

2014-08-23 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS, CONFIGURE: fix libressl support
	* SUB_DEPENDS, PRE_SUB_DEPENDS: tweak

2014-08-19 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: openssl => SSL
	* SUB_DEPENDS, PRE_SUB_DEPENDS: openssl => SSL

2014-01-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.15
	* PRE_BUILD, wget-1.14-perl-5.18-pod-fixes.diff: deleted
	* wget.gpg: add  E163E1EA: Giuseppe Scrivano <gscrivan@redhat.com>

2013-05-26 Florian Franzmann <bwlf@bandrate.org>
	* PRE_BUILD, wget-1.14-perl-5.18-pod-fixes.diff: add fix for
	  bug #546

2012-08-11 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.14, bz2 -> xz

2011-09-18 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.13.4; switched source to bz2; quoting path

2011-08-15 Ladislav Hagara <hgr@vabo.cz>
	* REPAIR^all^PRE_SUB_DEPENDS: updated, #225
	* REPAIR^none^PRE_SUB_DEPENDS: removed

2011-08-31 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.13.3

2011-08-16 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.13.1
	* CONFIGURE, DEPENDS, SUB_DEPENDS, PRE_SUB_DEPENDS, BUILD:
	  none, openssl and gnutls can be used for wget ssl backend now

2011-08-16 Vlad Glagolev <stealth@sourcemage.org>
	* SUB_DEPENDS: subdeps are used in configure stage; allow to build
	  without gnutls

2011-08-11 Ladislav Hagara <hgr@vabo.cz>
	* DEPENDS: --with-ssl -> --with-ssl=openssl

2011-08-09 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.13
	* wget.gpg: added key C03363F4
	* PRE_BUILD, wget-1.12-CVE-2010-2252.patch: removed

2011-04-11 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: added libidn optional dependency

2011-02-20 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: SECURITY_PATCH=1
	* PRE_BUILD, wget-1.12-CVE-2010-2252.patch: added patch from Arch Linux

2010-09-09 Ladislav Hagara <hgr@vabo.cz>
	* CONFIGURE, BUILD: added option to disable IPv6 support

2009-09-22 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.12

2009-01-16 George Sherwood <gsherwood@sourcemage.org>
	* PRE_REMOVE: Added file to remove info dir entries
	* REPAIR^a6c44543ed934dbb83c84c301e56ee23^POST_REMOVE: Added
	  proper REPAIR file

2009-01-08 Vlad Glagolev <stealth@sourcemage.org>
	* REPAIR^all^POST_REMOVE: fixed for new devel sorcery restrictions
	* BUILD: spaces ftw

2008-11-30 George Sherwood <gsherwood@sourcemage.org>
	* DEPENDS: Add optional_depends ca-certificates if using openssl

2008-09-15 Elisamuel Resto <ryuji@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* TRIGGERS: don't trigger recast unless depends are enabled

2008-08-21 Martin Spitzbarth <m.spitzbarth@gmx.de>
	* SUB_DEPENDS, PRE_SUB_DEPENDS: renamed the sub_depend target
	  from openssl to SSL
	* REPAIR^none^PRE_SUB_DEPENDS: created the file
	* REPAIR^all^PRE_SUB_DEPENDS: created the file

2008-08-19 Martin Spitzbarth <m.spitzbarth@gmx.de>
	* SUB_DEPENDS, PRE_SUB_DEPENDS: Added openssl as a sub_depend target

2008-06-30 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.11.4

2008-05-29 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.11.3

2008-05-01 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.11.2

2008-03-25 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 1.11.1

2008-01-27 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.11
	* wget.gpg: added 4A1B4EB1 from
	  http://savannah.gnu.org/project/memberlist-gpgkeys.php?group=wget

2007-05-08 Arjan Bouter <abouter@sourcemage.org>
	* DEPENDS: added texinfo
	* INSTALL: made installing info file optional
	* POST_REMOVE: only try to remove info file
	    if it was installed in the 1st place

2007-02-25 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* REPAIR^all^POST_REMOVE: added for #13495

2007-01-18 Mathieu Lonjaret <lejatorn@sourcemage.org>
	* POST_REMOVE, INSTALL: fixing bug #12807 (problems with install-info
	* from dpkg spell).

2007-01-15 Mathieu Lonjaret <lejatorn@sourcemage.org>
	* TRIGGERS: added missing &&

2007-01-06 Mathieu Lonjaret <lejatorn@sourcemage.org>
	* DETAILS: added UPSTREAM_KEY, fixes bug#12946

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: [automated] Removed BUILD_API=2.

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-02-08 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on smgl-fhs (for directory structure)

2006-02-06 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on gnupg (for SOURCE verification)
	  Formatted to Guru Handbook

2005-10-15 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.10.2

2005-08-18 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.10.1, removed SOURCE_URL[1]
	  converted to use gpg checking instead of md5
	* wget.gpg: added, Mauro Tortonesi (GNU Wget Maintainer)

2005-06-10 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.10
	* SECURITY, BUILD, wget-filter-control.patch: removed patch

2005-05-12 Andrew Stitt <astitt@sourcemage.org>
	* BUILD, INSTALL: Update to install into a chroot correctly, bug 8853.

2005-04-23 David Brown <dmlb2000@excite.com>
	* BUILD: added use_gcc 4.0 to sedit out the -O3 cause it breaks

2004-12-10 Seth Woolley <seth@tautology.org>
	* DETAILS: UPDATED updated
	* BUILD: added to patch wget-filter-control.patch SECURITY FIX
	* SECURITY: added warning to not use wget in bad ways

2004-09-01 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: added LICENSE[0]
	* POST_REMOVE: infodir is /usr/share/info
	* INSTALL: added to add the info page to /usr/share/info/dir

2004-02-05 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Made gettext optional (thanks to Jens Laas)
	* DETAILS: Updated UPDATED to 20040203 to register trigger
	  Removed MAINTAINER

2004-02-06 hgg <hgreig@bigpond.net.au>
	* DEPENDS: added the --without option, so it is turned off if you say no

2004-02-03 Eric Sandall <sandalle@sourcemage.org>
	* TRIGGERS: If gettext changes version, wget
	  needs to relink. One of these days I'll figure
	  out what I'm doing. ;)
	* DEPENDS: Changed depends on wget to gettext from
	  the fix for Bug #5637

2004-02-02 Andrew Stitt <astitt@sourcemage.org>
	* DEPENDS: Added depends on gettext, bug 5637

2004-01-31 Eric Sandall <sandalle@sourcemage.org>
	* TRIGGERS: Removed trigger on gettext

2004-01-30 Eric Sandall <sandalle@sourcemage.org>
	* TRIGGERS: If gettext changes version, wget
	  needs to relink.

2003-11-30 Eric Sandall <sandalle@sourcemage.org>
	* POST_REMOVE: Use INSTALL_ROOT

2003-11-15 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.9.1

2003-10-23 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.9
	* wget-1.8.2-filename.patch,PRE_BUILD: Removed
	* HISTORY: Formatted to Guru Handbook

2002-12-12 Sergey Lipnevich <sergey@sourcemage.org>
	* wget-1.8.2-filename.patch,PRE_BUILD: Added
	  Thanks to shivaken <shivaken@jcom.home.ne.jp>.
	  Security update, see the following links:
	  http://marc.theaimsgroup.com/?l=bugtraq&m=87602746719482
	  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2002-1344
	  http://linuxtoday.com/news_story.php3?ltsn=2002-12-12-012-26-NW-MD-SW

2002-06-02 Justin Rocha <jrocha@sourcemage.org>
	* DETAILS: Bumped version to 1.8.2

2002-03-28 Eric Schabell <eric@schabell.com>
	* DETAILS: Added MAINTAINER line.

2002-03-13 Eric Schabell <eric@schabell.com>
	* HISTORY: Added
